diff --git a/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java b/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
index 90d37f15a5ae0a565aa1f4d88c09ab869a9941e6..a0f73d33be7bfa32d50ce83f46a5b3f356ffbfec 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/EnrollServlet.java
@@ -112,7 +112,6 @@ public class EnrollServlet extends CMSServlet {
     private static final String CERT_AUTH_SINGLE = "single";
     private static final String CLIENT_ISSUER = "clientIssuer";
 
-    private boolean mAuthTokenOverride = true;
     private String mEnrollSuccessTemplate = null;
     private ICMSTemplateFiller mEnrollSuccessFiller = new ImportCertsTemplateFiller();
 
@@ -1698,7 +1697,8 @@ public class EnrollServlet extends CMSServlet {
     // key usage extension always ends up being digital signature only
     // and for rsa-ex ends up having no bits set.
 
-    private boolean mIsTestBed = false;
+    @SuppressWarnings("unused")
+    private boolean mIsTestBed;
 
     private void init_testbed_hack(IConfigStore config)
             throws EBaseException {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java b/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
index 6c7aefa4d30212de2c760d5666840f88443e7d3d..51b7f783fda5910eac788c3ee79928d48a89f759 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/GetBySerial.java
@@ -69,8 +69,6 @@ public class GetBySerial extends CMSServlet {
      */
     private static final long serialVersionUID = -2276677839178370838L;
 
-    private final static String INFO = "GetBySerial";
-
     private final static String IMPORT_CERT_TEMPLATE = "ImportCert.template";
     private String mImportTemplate = null;
     private String mIETemplate = null;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java b/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
index 30f0b0c4008a0b4635b4bd43758c4cd9a1583aaa..bc9f099762ec6a5470d2c02f5bc0adb03c2e3c5f 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/GetInfo.java
@@ -60,9 +60,6 @@ public class GetInfo extends CMSServlet {
      */
     private static final long serialVersionUID = 1909881831730252799L;
 
-    private final static String INFO = "GetInfo";
-
-    private String mFormPath = null;
     private ICertificateAuthority mCA = null;
 
     /**
@@ -80,7 +77,6 @@ public class GetInfo extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
 
-        mFormPath = "";
         if (mAuthority instanceof ICertificateAuthority)
             mCA = (ICertificateAuthority) mAuthority;
 
diff --git a/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java b/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
index 58ff2383cd653a986f64afc0f558bc52183ebd9c..66d3b49795874b1484a64f58778d8ac7a70c9cdd 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
@@ -117,7 +117,6 @@ public class HashEnrollServlet extends CMSServlet {
     private static final String CLIENT_ISSUER = "clientIssuer";
     public static final String TPL_ERROR_FILE = "/ra/GenErrorHashDirEnroll.template";
 
-    private boolean mAuthTokenOverride = true;
     private String mEnrollSuccessTemplate = null;
     private ICMSTemplateFiller mEnrollSuccessFiller = new ImportCertsTemplateFiller();
 
@@ -139,7 +138,7 @@ public class HashEnrollServlet extends CMSServlet {
         mTemplates.remove(CMSRequest.SUCCESS);
         try {
             mEnrollSuccessTemplate = sc.getInitParameter(
-                        CMSServlet.PROP_SUCCESS_TEMPLATE);
+                    CMSServlet.PROP_SUCCESS_TEMPLATE);
             if (mEnrollSuccessTemplate == null)
                 mEnrollSuccessTemplate = ENROLL_SUCCESS_TEMPLATE;
             String fillername =
@@ -334,7 +333,7 @@ public class HashEnrollServlet extends CMSServlet {
 
         try {
             authzToken = authorize(mAclMethod, token,
-                        mAuthzResourceName, "import");
+                    mAuthzResourceName, "import");
         } catch (Exception e) {
             // do nothing for now
         }
@@ -442,12 +441,9 @@ public class HashEnrollServlet extends CMSServlet {
 
                 // first, make sure the client cert is indeed a
                 //				signing only cert
-                if ((CMS.isSigningCert(sslClientCert) ==
-                        false) ||
-                        ((CMS.isSigningCert(sslClientCert) ==
-                            true) &&
-                        (CMS.isEncryptionCert(sslClientCert) ==
-                            true))) {
+                if ((CMS.isSigningCert(sslClientCert) == false) ||
+                        ((CMS.isSigningCert(sslClientCert) == true) &&
+                        (CMS.isEncryptionCert(sslClientCert) == true))) {
                     // either it's not a signing cert, or it's a dual cert
                     log(ILogger.LL_FAILURE,
                             CMS.getLogMessage("CMSGW_INVALID_CERT_TYPE"));
@@ -478,7 +474,7 @@ public class HashEnrollServlet extends CMSServlet {
                                 + "))(certStatus=VALID))";
                 ICertRecordList list =
                         mCa.getCertificateRepository().findCertRecordsInList(filter,
-                        null, 10);
+                                null, 10);
                 int size = list.getSize();
                 Enumeration<ICertRecord> en = list.getCertRecords(0, size - 1);
                 boolean gotEncCert = false;
@@ -547,12 +543,9 @@ public class HashEnrollServlet extends CMSServlet {
             } else if (certauthEnrollType.equals(CERT_AUTH_ENCRYPTION)) {
                 // first, make sure the client cert is indeed a
                 //				signing only cert
-                if ((CMS.isSigningCert(sslClientCert) ==
-                        false) ||
-                        ((CMS.isSigningCert(sslClientCert) ==
-                            true) &&
-                        (CMS.isEncryptionCert(sslClientCert) ==
-                            true))) {
+                if ((CMS.isSigningCert(sslClientCert) == false) ||
+                        ((CMS.isSigningCert(sslClientCert) == true) &&
+                        (CMS.isEncryptionCert(sslClientCert) == true))) {
                     // either it's not a signing cert, or it's a dual cert
                     log(ILogger.LL_FAILURE,
                             CMS.getLogMessage("CMSGW_INVALID_CERT_TYPE"));
diff --git a/base/common/src/com/netscape/cms/servlet/cert/Monitor.java b/base/common/src/com/netscape/cms/servlet/cert/Monitor.java
index 884616fe9e6420421a61288319d7a7a5cf4b8f07..814bd420935749d58fd9be9443814d6c06b30e0d 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/Monitor.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/Monitor.java
@@ -62,7 +62,6 @@ public class Monitor extends CMSServlet {
      */
     private static final long serialVersionUID = -8492837942132357692L;
     private final static String TPL_FILE = "monitor.template";
-    private final static String INFO = "Monitor";
 
     private ICertificateRepository mCertDB = null;
     private IRequestQueue mQueue = null;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java b/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
index 2783656aec842e6620bf61bdded3a5d2cf1112ab..c76181aa16467fe1ef7b7eb78d0528a9480d703f 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/RemoteAuthConfig.java
@@ -62,7 +62,6 @@ public class RemoteAuthConfig extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -5803015919915253940L;
-    private final static String INFO = "RemoteAuthConfig";
     private final static String TPL_FILE = "remoteAuthConfig.template";
     private final static String ENABLE_REMOTE_CONFIG = "enableRemoteConfiguration";
     private final static String REMOTELY_SET_INSTANCES = "remotelySetInstances";
diff --git a/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java b/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
index 45b02969dd2ae47740865584ca37ca7d766e25b5..d538ce675fe41272fef435272bc67ad164830eb0 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/SrchCerts.java
@@ -18,7 +18,6 @@
 package com.netscape.cms.servlet.cert;
 
 import java.io.IOException;
-import java.math.BigInteger;
 import java.security.PublicKey;
 import java.util.Calendar;
 import java.util.Date;
@@ -72,8 +71,6 @@ public class SrchCerts extends CMSServlet {
      */
     private static final long serialVersionUID = -5876805830088921643L;
     private final static String TPL_FILE = "srchCert.template";
-    private final static String INFO = "SrchCerts";
-    private final static BigInteger MINUS_ONE = new BigInteger("-1");
     private final static String PROP_MAX_SEARCH_RETURNS = "maxSearchReturns";
 
     private final static String CURRENT_TIME = "currentTime";
diff --git a/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java b/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
index 6be6d506c638d27bb205ad92b4c8a47ea2b0a6bf..bd12bcfd8f9199f4bec306d5e1fc388f03a87367 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/UpdateCRL.java
@@ -70,7 +70,6 @@ public class UpdateCRL extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -1182106454856991246L;
-    private final static String INFO = "UpdateCRL";
     private final static String TPL_FILE = "updateCRL.template";
 
     private static Vector<String> mTesting = new Vector<String>();
diff --git a/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java b/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
index 3dae379a1bd582d076948cfc5d254c02f608d1c9..6e580896e7bd967941a73ce9c3b3bdb13b7b1660 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/UpdateDir.java
@@ -68,7 +68,6 @@ public class UpdateDir extends CMSServlet {
      *
      */
     private static final long serialVersionUID = 3063889978908136789L;
-    private final static String INFO = "UpdateDir";
     private final static String TPL_FILE = "updateDir.template";
     private final static int UPDATE_ALL = 0;
     private final static int UPDATE_CRL = 1;
diff --git a/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java b/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
index e56651ed8264aa50ef7690cf14dbafbc84c1e1e2..dc0b0c4741254ecd1710b907eb49f46e63899471 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/scep/CRSEnrollment.java
@@ -171,8 +171,6 @@ public class CRSEnrollment extends HttpServlet {
 
     private static final String PROP_SUBSTORENAME = "substorename";
     private static final String PROP_AUTHORITY = "authority";
-    private static final String PROP_CRS = "crs";
-    private static final String PROP_CRSCA = "casubsystem";
     private static final String PROP_CRSAUTHMGR = "authName";
     private static final String PROP_APPENDDN = "appendDN";
     private static final String PROP_CREATEENTRY = "createEntry";
@@ -1938,7 +1936,9 @@ public class CRSEnrollment extends HttpServlet {
         private Enumeration<?> externalTokens = null;
         private org.mozilla.jss.crypto.X509Certificate signingCert;
         private org.mozilla.jss.crypto.PrivateKey signingCertPrivKey;
-        private int signingCertKeySize = 0;
+
+        @SuppressWarnings("unused")
+        private int signingCertKeySize;
 
         class CryptoContextException extends Exception {
             /**
diff --git a/base/common/src/com/netscape/cms/servlet/common/CMSFileLoader.java b/base/common/src/com/netscape/cms/servlet/common/CMSFileLoader.java
index e0716cb70510924e31a34fe4e4da2d8ea5147cc2..a27a3dd43fbb79eca13a9504aff4ec103234410e 100644
--- a/base/common/src/com/netscape/cms/servlet/common/CMSFileLoader.java
+++ b/base/common/src/com/netscape/cms/servlet/common/CMSFileLoader.java
@@ -53,6 +53,7 @@ public class CMSFileLoader {
     private int mClearSize = CLEAR_SIZE;
 
     // whether to cache templates and forms only.
+    @SuppressWarnings("unused")
     private boolean mCacheTemplatesOnly = true;
 
     public CMSFileLoader() {
diff --git a/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java b/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
index 157d5e3d1b6bdaa9f8e85b77707f7d88bbe4ee20..8d03ca37c5fa35937041c90f09daaa735d60446d 100644
--- a/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
+++ b/base/common/src/com/netscape/cms/servlet/common/CMSGateway.java
@@ -49,7 +49,6 @@ public class CMSGateway {
     public final static String PROP_CMSGATEWAY = "cmsgateway";
     private final static String PROP_ENABLE_ADMIN_ENROLL = "enableAdminEnroll";
 
-    private final static String PROP_SERVER_XML = "server.xml";
     public static final String CERT_ATTR =
             "javax.servlet.request.X509Certificate";
 
diff --git a/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java b/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
index 6d51c8d4ca489bafe89e376a6a65b119533c842a..0188b781ae228bf121a94088a75b5691ca501f86 100644
--- a/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
+++ b/base/common/src/com/netscape/cms/servlet/common/CMSTemplate.java
@@ -28,7 +28,6 @@ import java.io.PrintWriter;
 import java.io.StringWriter;
 import java.io.UnsupportedEncodingException;
 import java.math.BigInteger;
-import java.util.Date;
 import java.util.Enumeration;
 
 import javax.servlet.ServletOutputStream;
@@ -55,11 +54,6 @@ public class CMSTemplate extends CMSFile {
      * variables
      *==========================================================*/
 
-    /* private variables */
-    private String mTemplateFileName = "";
-    private ILogger mLogger = CMS.getLogger();
-    private long mTimeStamp;
-
     /* public vaiables */
     public String mPreOutput;
     public String mPostOutput;
@@ -120,11 +114,6 @@ public class CMSTemplate extends CMSFile {
                     CMS.getLogMessage("CMSGW_TEMPLATE_NO_CONTENT_1", mAbsPath));
         }
 
-        /* time stamp */
-        Date now = CMS.getCurrentDate();
-
-        mTimeStamp = now.getTime();
-
         /* if template file, find template tag substring and set
          * pre/post output string
          */
diff --git a/base/common/src/com/netscape/cms/servlet/common/IndexTemplateFiller.java b/base/common/src/com/netscape/cms/servlet/common/IndexTemplateFiller.java
index ced916541e8f7e6ab5a792592d285e8d24c0279b..53ddc4c88fe8ca66a5e2a1df80cb5e11adb75e4a 100644
--- a/base/common/src/com/netscape/cms/servlet/common/IndexTemplateFiller.java
+++ b/base/common/src/com/netscape/cms/servlet/common/IndexTemplateFiller.java
@@ -37,15 +37,12 @@ import com.netscape.certsrv.base.ISubsystem;
  */
 public class IndexTemplateFiller implements ICMSTemplateFiller {
 
-    private final static String INFO = "index";
-
     // input parameters
 
     // output parameters
     private final static String OUT_TYPE = "type";
     private final static String OUT_ID = "id";
     private final static String OUT_TOTAL_COUNT = "totalCount";
-    private final static String OUT_ERROR = "errorDetails";
 
     public IndexTemplateFiller() {
     }
diff --git a/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java b/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
index e8b8f12f82a148659cfaa4020c44a442d6c7f0db..63a078a845c0e4f83d16837796881045922d77a2 100644
--- a/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/connector/ConnectorServlet.java
@@ -94,8 +94,6 @@ public class ConnectorServlet extends CMSServlet {
 
     protected ILogger mSignedAuditLogger = CMS.getSignedAuditLogger();
     private final static String SIGNED_AUDIT_PROTECTION_METHOD_SSL = "ssl";
-    private final static String SIGNED_AUDIT_PROTECTION_METHOD_UNKNOWN =
-            "unknown";
     private final static String LOGGING_SIGNED_AUDIT_INTER_BOUNDARY_SUCCESS =
             "LOGGING_SIGNED_AUDIT_INTER_BOUNDARY_SUCCESS_5";
     private final static String LOGGING_SIGNED_AUDIT_PROFILE_CERT_REQUEST =
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java b/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
index 634be87489d5d24b67b339ca5eaa580c502a4758..74d1069ebc5e13ba8f4bf47c2aed0df3d3ef49fa 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/CertRequestPanel.java
@@ -55,7 +55,9 @@ import com.netscape.cmsutil.crypto.CryptoUtil;
 
 public class CertRequestPanel extends WizardPanelBase {
     private Vector<Cert> mCerts = null;
-    private WizardServlet mServlet = null;
+
+    @SuppressWarnings("unused")
+    private WizardServlet mServlet;
 
     public CertRequestPanel() {
     }
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/CheckIdentity.java b/base/common/src/com/netscape/cms/servlet/csadmin/CheckIdentity.java
index 9a780cca835300c0e4dc1b9a0c4e50a9ba9511ed..046fb111db1401297649a7e9e48a4749abb24ff2 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/CheckIdentity.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/CheckIdentity.java
@@ -42,7 +42,6 @@ public class CheckIdentity extends CMSServlet {
      */
     private static final long serialVersionUID = 1647682040815275807L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
 
     public CheckIdentity() {
         super();
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/DownloadPKCS12.java b/base/common/src/com/netscape/cms/servlet/csadmin/DownloadPKCS12.java
index 808cfa523dc848e34d6c185080d7de45ab73c2ab..57a1e620225019e00b74aabf5ab08b8a61a0c9ed 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/DownloadPKCS12.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/DownloadPKCS12.java
@@ -40,8 +40,6 @@ public class DownloadPKCS12 extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -7770226137155537526L;
-    private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
     private final static String AUTH_FAILURE = "2";
 
     public DownloadPKCS12() {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/GetCertChain.java b/base/common/src/com/netscape/cms/servlet/csadmin/GetCertChain.java
index c956e733adb92171e374989f2a7071df61fe2678..8cc0f85d6eff9eff7e04288f4f1c705a434887cf 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/GetCertChain.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/GetCertChain.java
@@ -46,7 +46,6 @@ public class GetCertChain extends CMSServlet {
      */
     private static final long serialVersionUID = -356806997334418285L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
 
     public GetCertChain() {
         super();
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java b/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
index e16f99f4f7db7860f8690ccf930eab543bb05fcb..c0a57c3d70b6fde135f73304a7520271a226e31c 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
@@ -52,7 +52,6 @@ public class GetCookie extends CMSServlet {
      */
     private static final long serialVersionUID = 2466968231929541707L;
     private static Random mRandom = null;
-    private final static int SESSION_MAX_AGE = 3600;
     private String mErrorFormPath = null;
     private String mFormPath = null;
 
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/GetStatus.java b/base/common/src/com/netscape/cms/servlet/csadmin/GetStatus.java
index 21baefcb0fbf1357db2f6beec198e81cf4bd2a4d..998a4b162de33071b19cac11f647339d92bc4a40 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/GetStatus.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/GetStatus.java
@@ -41,8 +41,6 @@ public class GetStatus extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -2852842030221659847L;
-    private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
 
     public GetStatus() {
         super();
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java b/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
index 85f27440439f5c43d801cf6001547f10a7dbbe48..b894971b174b0634601d9fcfc50e88ef6a7511ff 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/GetSubsystemCert.java
@@ -45,7 +45,6 @@ public class GetSubsystemCert extends CMSServlet {
      */
     private static final long serialVersionUID = -5720342238234153488L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
 
     public GetSubsystemCert() {
         super();
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/GetTokenInfo.java b/base/common/src/com/netscape/cms/servlet/csadmin/GetTokenInfo.java
index 28c3b242d6867cea54dac68df65ae4f42ef3a0be..2f44ca1b0d20d21aea228dd0692878fc219e1866 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/GetTokenInfo.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/GetTokenInfo.java
@@ -43,7 +43,6 @@ public class GetTokenInfo extends CMSServlet {
      */
     private static final long serialVersionUID = -8416582986909026263L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
 
     public GetTokenInfo() {
         super();
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/GetTransportCert.java b/base/common/src/com/netscape/cms/servlet/csadmin/GetTransportCert.java
index 847ca3486e0987b5c667a86862b8b8e62cdbe906..ae5edf6176d3ce0ee02d278949333ffc24c0c79a 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/GetTransportCert.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/GetTransportCert.java
@@ -52,7 +52,6 @@ public class GetTransportCert extends CMSServlet {
      */
     private static final long serialVersionUID = 2495152202191979339L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
     private final static String AUTH_FAILURE = "2";
 
     public GetTransportCert() {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/ImportTransportCert.java b/base/common/src/com/netscape/cms/servlet/csadmin/ImportTransportCert.java
index dd648e8c5388940859a72db41ca5e208dcdd55c5..859ba845edc015b0efa229c134a77cc655daaac4 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/ImportTransportCert.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/ImportTransportCert.java
@@ -51,7 +51,6 @@ public class ImportTransportCert extends CMSServlet {
      */
     private static final long serialVersionUID = 7490067757951541235L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
     private final static String AUTH_FAILURE = "2";
 
     public ImportTransportCert() {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java b/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
index 1d833ca9ba0eeeade0e23249810bf30f1243fe8b..db70d7729e7a7654f2da3ec3b15ffb601864f6fc 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
@@ -42,8 +42,6 @@ public class MainPageServlet extends CMSServlet {
      *
      */
     private static final long serialVersionUID = 2425301522251239666L;
-    private static final String PROP_AUTHORITY_ID = "authorityId";
-    private String mAuthorityId = null;
     private String mFormPath = null;
 
     public MainPageServlet() {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java b/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
index 4ea150ea2fc49791e82cfa09261af5c312732d96..d2cf540c307ccab7170bec0171693107149131fc 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/RegisterUser.java
@@ -63,7 +63,6 @@ public class RegisterUser extends CMSServlet {
      */
     private static final long serialVersionUID = -699307373400031138L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
     private final static String AUTH_FAILURE = "2";
     private String mGroupName = null;
     private final static String LOGGING_SIGNED_AUDIT_CONFIG_ROLE =
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/TokenAuthenticate.java b/base/common/src/com/netscape/cms/servlet/csadmin/TokenAuthenticate.java
index 4c6338751b4b2a20ba2be74e0c654ac0b241de39..745962c7226973ff72c7b4e8c2fff58365b5b583 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/TokenAuthenticate.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/TokenAuthenticate.java
@@ -43,7 +43,6 @@ public class TokenAuthenticate extends CMSServlet {
      */
     private static final long serialVersionUID = -9098593390260940853L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
 
     public TokenAuthenticate() {
         super();
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java b/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
index 2698da7d92f2358f964bab9f6f71699af62461b9..240468d03789adf4277020053b5960f657162f4b 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/UpdateConnector.java
@@ -51,7 +51,6 @@ public class UpdateConnector extends CMSServlet {
      */
     private static final long serialVersionUID = 972871860008509849L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
     private final static String AUTH_FAILURE = "2";
 
     public UpdateConnector() {
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/UpdateNumberRange.java b/base/common/src/com/netscape/cms/servlet/csadmin/UpdateNumberRange.java
index ff3666f2af6f93752ff26d60c642dd572b7da947..eb88a1c3138793d19589087271a2dd2e2e553c22 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/UpdateNumberRange.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/UpdateNumberRange.java
@@ -51,7 +51,6 @@ public class UpdateNumberRange extends CMSServlet {
      */
     private static final long serialVersionUID = -1584171713024263331L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
     private final static String AUTH_FAILURE = "2";
     private final static String LOGGING_SIGNED_AUDIT_CONFIG_SERIAL_NUMBER =
             "LOGGING_SIGNED_AUDIT_CONFIG_SERIAL_NUMBER_1";
diff --git a/base/common/src/com/netscape/cms/servlet/csadmin/UpdateOCSPConfig.java b/base/common/src/com/netscape/cms/servlet/csadmin/UpdateOCSPConfig.java
index 30e0b0fce2e00da5f63aad374979bd2309174b5a..e1b33ea6ac4b2c961af9840fe847ea0f8328eb2b 100644
--- a/base/common/src/com/netscape/cms/servlet/csadmin/UpdateOCSPConfig.java
+++ b/base/common/src/com/netscape/cms/servlet/csadmin/UpdateOCSPConfig.java
@@ -47,7 +47,6 @@ public class UpdateOCSPConfig extends CMSServlet {
      */
     private static final long serialVersionUID = 42812270761684404L;
     private final static String SUCCESS = "0";
-    private final static String FAILED = "1";
     private final static String AUTH_FAILURE = "2";
 
     public UpdateOCSPConfig() {
diff --git a/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java b/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
index 4ee751f1a5aef0cb9245144e22a51c1a3cec71a7..008b372e2c49bb0d88cc75cb74c59ec26001956b 100644
--- a/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/ExamineRecovery.java
@@ -59,18 +59,8 @@ public class ExamineRecovery extends CMSServlet {
     private final static String INFO = "examineRecovery";
     private final static String TPL_FILE = "examineRecovery.template";
 
-    private final static String IN_SERIALNO = "serialNumber";
-    private final static String IN_UID = "uid";
-    private final static String IN_PWD = "pwd";
-    private final static String IN_PASSWORD = "p12Password";
-    private final static String IN_DELIVERY = "p12Delivery";
-    private final static String IN_CERT = "cert";
-
     private final static String OUT_OP = "op";
-    private final static String OUT_SERIALNO = IN_SERIALNO;
-    private final static String OUT_RECOVERY_SUCCESS = "recoverySuccess";
     private final static String OUT_SERVICE_URL = "serviceURL";
-    private final static String OUT_ERROR = "errorDetails";
 
     private IKeyService mService = null;
     private String mFormPath = null;
diff --git a/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java b/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
index 4989c1245410d75967158ec8ce5f3fd9fec47add..5926a5672e1ef8fb0edd5397f877e94c7574a409 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GetApprovalStatus.java
@@ -59,9 +59,6 @@ public class GetApprovalStatus extends CMSServlet {
     private final static String TPL_FILE = "getApprovalStatus.template";
     private final static String TPL_FINISH = "finishRecovery.template";
 
-    private final static String IN_DELIVERY = "p12Delivery";
-
-    private final static String OUT_RECOVERY_SUCCESS = "recoverySuccess";
     private final static String OUT_ERROR = "errorDetails";
     private final static String OUT_STATUS = "status";
 
diff --git a/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java b/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
index dfc7d4d3b94bea8c6afe021da742451addaac4ff..65f8d293672994304872e6366da12a71ce3510b5 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GetAsyncPk12.java
@@ -59,11 +59,9 @@ public class GetAsyncPk12 extends CMSServlet {
 
     private final static String IN_PASSWORD = "p12Password";
     private final static String IN_PASSWORD_AGAIN = "p12PasswordAgain";
-    private final static String OUT_RECOVERY_SUCCESS = "recoverySuccess";
     private final static String OUT_ERROR = "errorDetails";
 
     private com.netscape.certsrv.kra.IKeyService mService = null;
-    private final static String OUT_STATUS = "status";
 
     private final static String LOGGING_SIGNED_AUDIT_PRIVATE_KEY_EXPORT_REQUEST_PROCESSED_SUCCESS =
             "LOGGING_SIGNED_AUDIT_PRIVATE_KEY_EXPORT_REQUEST_PROCESSED_SUCCESS_4";
